Name:           kte-collaborative
Version:        0.2.0
Release:        1%{?dist}
Summary:        Collaborative text editing in KTextEditor via KDE Telepathy

# KDE e.V. may determine that future GPL versions are accepted
License:        GPLv2 or GPLv3
URL:            https://projects.kde.org/projects/playground/network/kte-collaborative

Source0:        http://download.kde.org/unstable/%{name}/%{version}/src/%{name}-v%{version}.tar.xz

BuildRequires:  kdelibs4-devel
BuildRequires:  libinfinity-devel
BuildRequires:  libgsasl-devel
BuildRequires:  libqinfinity-devel >= 0.5.1
BuildRequires:  telepathy-qt4-devel
BuildRequires:  ktp-common-internals-devel >= 0.6.80
BuildRequires:  infinoted
BuildRequires:  gettext

Requires:       infinoted

%description
A plugin for KTextEditor which allows to edit text documents collaboratively


%prep
%setup -q -n %{name}-v%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

## unpackaged files
rm -fv %{buildroot}%{_kde4_libdir}/ktecollaborative/lib*.so

%find_lang kte-collaborative

%files -f kte-collaborative.lang
%doc AUTHORS COPYING README
%{_kde4_libdir}/lib*
%{_kde4_libdir}/kde4/*.so
%{_kde4_appsdir}/infinotenotifier/
%{_kde4_appsdir}/ktecollaborative/
%{_kde4_datadir}/kde4/services/*.protocol
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/telepathy/clients/*.client
%{_kde4_datadir}/dbus-1/services/*.service
%{_kde4_libexecdir}/*


%changelog
* Wed Oct 30 2013 Jan Grulich <jgrulich@redhat.com> 0.2.0-1
- kte-collaborative 0.2.0

* Wed Sep 25 2013 Rex Dieter <rdieter@fedoraproject.org> 0.1.80-2
- fix build, drop old patch, update license tag

* Tue Sep 24 2013 Daniel Vrátil <dvratil@redhat.com> 0.1.80-1
 - kte-collaborative 0.1.80

* Thu Aug 29 2013 Daniel Vrátil <dvratil@redhat.com> 0.0.95-5
 - add missing BR

* Wed Aug 28 2013 Daniel Vrátil <dvratil@redhat.com> 0.0.95-4
 - versioned sonames (backported an upstream patch)

* Tue Aug 27 2013 Daniel Vrátil <dvratil@redhat.com> 0.0.95-3
 - add LGPLv2+ license

* Tue Aug 27 2013 Daniel Vrátil <dvratil@redhat.com> 0.0.95-2
 - add infinoted to BR

* Tue Aug 27 2013 Daniel Vrátil <dvratil@redhat.com> 0.0.95-1
 - kte-collaborative 0.0.95
